For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
  • Overview
    • Introduction
    • Getting started
  • Employer of Record
    • Overview
    • Hiring & contracts
    • Employment management
    • Amendments & offboarding
    • Worker onboarding
    • Worker self-service
  • Independent Contractor
    • Overview
    • Create & onboard
    • Manage contracts
  • EOR Endpoints
  • EOR Worker Endpoints
  • IC Endpoints
      • POSTCreate Hourly Report Preset
      • POSTCreate Hourly Report Root Preset
      • DELDelete Hourly Report Preset
      • GETGet Hourly Report Preset by ID
      • GETGet Hourly Report Presets
      • PATCHUpdate Hourly Report Preset
LogoLogo
SupportDeel Home
IC EndpointsProjects

Create Hourly Report Root Preset

POST
/timesheets/root-presets
POST
/rest/v2/timesheets/root-presets
$curl -X POST https://api.letsdeel.com/rest/v2/timesheets/root-presets \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "Standard Monthly Timesheet Template"
>}'
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "async_task": {
5 "id": 12345
6 }
7 }
8}

Creates a new hourly report root preset and initiates asynchronous processing; the response includes an async_task object that can be used to track completion. Token scopes: timesheets:write

Was this page helpful?
Previous

Delete Hourly Report Preset

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
titlestringRequired<=255 characters

The title of the hourly report root preset (maximum 255 characters)

filestring or nullOptionalformat: "binary"
Optional file attachment for the root preset
typeenumOptional

The type of preset, RATE – indicates a preset that overrides the default contract rate, TRACKING - used exclusively for tracking, applying the default contract rate

Allowed values:
descriptionstringOptional<=30000 characters

Detailed description of the root preset’s purpose and usage (maximum 30000 characters)

hourly_report_presetslist of objectsOptional
Array of preset configurations to be created along with the root preset
hourly_report_presets_processing_typeenumOptionalDefaults to SYNC
Determines whether presets should be processed synchronously or asynchronously
Allowed values:

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/